com.cloudera.sqoop.lib

## Class LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>

- java.lang.Object
- - org.apache.sqoop.lib.LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>
  - - com.cloudera.sqoop.lib.LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, org.apache.hadoop.io.Writable
  Direct Known Subclasses:
    BlobRef, ClobRef

  Deprecated.
  use org.apache.sqoop.lib.LobRef instead.

      public abstract class LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>
      extends LobRef<DATATYPE,CONTAINERTYPE,ACCESSORTYPE>

  Abstract base class that holds a reference to a Blob or a Clob. DATATYPE is the type being held (e.g., a byte array). CONTAINERTYPE is the type used to hold this data (e.g., BytesWritable). ACCESSORTYPE is the type used to access this data in a streaming fashion (either an InputStream or a Reader).
  See Also:
    `LobRef`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.ThreadLocal<java.util.regex.Matcher>` | `EXTERNAL_MATCHER` Deprecated.
    `static org.apache.commons.logging.Log` | `LOG` Deprecated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LobRef()` Deprecated.
    `protected` | `LobRef(CONTAINERTYPE container)` Deprecated.
    `protected` | `LobRef(java.lang.String file, long offset, long length)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.sqoop.lib.LobRef

      `clone, close, deepCopyData, finalize, getData, getDataObj, getDataStream, getDataStream, getExternalSource, getInternalData, getInternalSource, isExternal, readFields, readFieldsInternal, setDataObj, toString, write, writeInternal`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.apache.commons.logging.Log LOG

      Deprecated.

    - #### EXTERNAL_MATCHER

          protected static final java.lang.ThreadLocal<java.util.regex.Matcher> EXTERNAL_MATCHER

      Deprecated.

  - ### Constructor Detail

    - #### LobRef

          protected LobRef()

      Deprecated.

    - #### LobRef

          protected LobRef(CONTAINERTYPE container)

      Deprecated.

    - #### LobRef

          protected LobRef(java.lang.String file,
                long offset,
                long length)

      Deprecated.

Copyright © 2015 The Apache Software Foundation